Get Markdown Documents
GET/api/v8/partner/parse
Get Markdown Documents
Request
Query Parameters
Return documents containing these tags.
Return documents with this meta.external_id.
Return documents created after this date and time in ISO 8601 format.
Return documents created before this date and time in ISO 8601 format.
Return documents created beginning at this date and time in ISO 8601 format.
Return documents created on and before this date and time in ISO 8601 format.
Return documents updated after this date and time in ISO 8601 format.
Return documents updated before this date and time in ISO 8601 format.
Return documents updated beginning at this date and time in ISO 8601 format.
Return documents updated on and before this date and time in ISO 8601 format.
Default value: 1
The page number. The response is capped to maximum of 50 results per page.
Default value: 50
The number of Documents per page.
A field used to determine whether or not to return bounding_box and bounding_region for extracted fields in the Document response.
A field used to determine whether or not to return the score and ocr_score fields in the Document response.
Case sensitive. Return documents with this text or any extracted fields matching the value. Use asterisk for partial matches, e.g. q=Walmart* will return documents with either Walmart in ocr text or any extracted field containing Walmart.
Whether to always return accurate count of results, true makes it slower.
Responses
- 200
A list of Markdown Documents
- application/json
- Schema
- Example (from schema)
Schema
- API_V8_PARTNER_PARSE_LISTRESPONSESCHEMA
- Array [
- Array [
- ]
- Array [
- ]
- ]
The total number of results retrieved across all pages.
The URL to the next page of results.
The URL to the previous page of results.
results object[]required
The collection of processed Markdown Document documents
The database ID of the markdown document
The markdown content of the converted document.
Page structures returned when details is true.
Type of document
External reference ID
Processing status
S3 path to the markdown document
S3 URL to the PDF file
S3 URL to the image file
Creation timestamp
Last update timestamp
Default value: ``
Document tags
meta DocumentToMarkdownMeta
Meta information about the processed document.
The total number of pages found in the submitted document.
The number of processed pages for the document. The default limit is 50 pages per document. Use max_pages_to_process on the POST request to lower the limit.
pages object[]
An array containing meta info about each processed page.
Possible values: <= 1
The average OCR score of the page.
The width of the page.
The height of the page.
is_blurry ClassNullableBoolField
The processed page is blurry or not
Possible values: <= 1
The score shows how confident the model is that the predicted value belongs to the field. See confidence scores explained for more information.
The extracted value.
source_documents object[]
An array containing meta info about originally submitted documents.
exif (object | null)
EXIF data from the source document
Possible values: <= 1
The average OCR score of the whole document.
Possible values: non-empty
The original file name of the uploaded document.
Possible values: [api.email, api.web, api, browser_extension, lens.bill, lens.invoice, lens.long_receipt, lens.other, lens.receipt, lens.web, lens]
Default value: api
The source of the document's submission for processing.
{}